Bug 388835 - Return key doesn't execute search after you go back from an App page
Summary: Return key doesn't execute search after you go back from an App page
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR major
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-12 00:35 UTC by Nate Graham
Modified: 2018-01-18 15:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-01-12 00:35:35 UTC
1. Compile Discover from git master
2. Click on an app on the home page
3. Click on the back button on the Application page toolbar
4. Click in the search field and type some text
5. Hit return

Expected results
- A search is executed

Actual results
- You're taken back to the app you just left
Comment 1 Aleix Pol 2018-01-18 15:39:51 UTC
Git commit fc0334278a4740b55be0138b2b3fa34f90d221e7 by Aleix Pol.
Committed on 18/01/2018 at 15:35.
Pushed by apol into branch 'Plasma/5.12'.

Rework keyboard focus strategy

Keeping the focus in the search field doesn't work anymore. Instead, make
it possible for the focus to go back and forth properly.

M  +5    -2    discover/qml/DiscoverDrawer.qml
M  +7    -0    discover/qml/DiscoverPage.qml
M  +0    -1    discover/qml/DiscoverWindow.qml
M  +0    -2    discover/qml/SearchField.qml
M  +1    -0    discover/qml/SearchPage.qml

https://commits.kde.org/discover/fc0334278a4740b55be0138b2b3fa34f90d221e7